import type AppRegistry from 'hadron-app-registry';
import type { ActionCreator, Reducer } from 'redux';
export type State = AppRegistry | null;
export declare enum ActionTypes {
    SetAppRegistry = "compass-saved-aggregations-queries/setAppRegistry"
}
type SetAppRegistryAction = {
    type: ActionTypes.SetAppRegistry;
    appRegistry: AppRegistry;
};
export type Actions = SetAppRegistryAction;
declare const reducer: Reducer<State, Actions>;
export declare const setAppRegistry: ActionCreator<SetAppRegistryAction>;
export default reducer;
//# sourceMappingURL=app-registry.d.ts.map